﻿@model IEnumerable<fenykepalbum_4_3.AspNetCore.NewDb.Models.Kepek>
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->

@{
    ViewData["Title"] = "Index";
}

<h1>Galéria</h1>

<div class="container page-top">
    <div class="row">

        @foreach (var item in Model)
        {
            <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="~/kepek/@item.Filenev" id="@item.Filenev"  data-toggle="modal" data-target="#modalablak" onclick="modalbe(this.id)">
                    <img src="~/kepek/@item.Filenev" class="zoom img-fluid " alt="@item.Holkeszult" title="@item.Holkeszult @item.Mikor">

                </a>
            </div>
        }
    </div>
</div>
<div id="modalablak" class="modal fade " role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="aktfnev">File</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <img id="aktkep" src="~/kepek/nincs.jpg" style="max-width:100%;max-height:100%" />
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Bezár</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">

    function modalbe(fnev) {      
        $("#aktfnev").text(fnev);
        $("#aktkep").attr("src", "/kepek/" + fnev);
    }

</script>